Skip to main content
GET
/
tracks
/
{trackId}
/
status-history
Get the aggregate certification status history of a track
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/tracks/{trackId}/status-history
{
  "id": "<string>",
  "numberOfEntities": 123,
  "history": [
    {
      "date": "2023-11-07T05:31:56Z",
      "statusByLevel": [
        {
          "ordinal": 123,
          "passed": 123,
          "failed": 123,
          "cumulativelyPassed": 123,
          "cumulativelyFailed": 123,
          "notReported": 123
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

trackId
string
required

The ID of the track

Query Parameters

numberOfDays
integer

The number of days to return history for.

Response

OK

id
string
required
numberOfEntities
integer
required
history
object[]
required